<html lang="en">
<head>
<title>Swept points - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Sweeps.html#Sweeps" title="Sweeps">
<link rel="prev" href="Sweeps.html#Sweeps" title="Sweeps">
<link rel="next" href="Swept-lines.html#Swept-lines" title="Swept lines">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Swept-points"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Swept-lines.html#Swept-lines">Swept lines</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Sweeps.html#Sweeps">Sweeps</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Sweeps.html#Sweeps">Sweeps</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h5 class="subsubsection">3.2.6.1 Swept points</h5>

<p><a name="index-swept-point-283"></a><a name="index-point-sweep-284"></a>If <var>swept_object</var> is a point list and there is no closure tag,
<a name="index-_003c_003e_0040r_007b_002c-closure-tag_007d-285"></a><a name="index-closure-tag_002c-_0040code_007b_003c_003e_007d-286"></a>then <code>sweep</code> connects <var>n</var>+1 successive copies of each
point (including the original) with straight line segments to form a
polyline.  If there are m points in the original point list,
<a name="index-point-list-287"></a>then m polylines with <var>n</var> segments each are formed by the
sweep.  In this manner, <code>sweep</code> forms a set of one-dimensional
objects (polylines) from zero-dimensional ones (points).

   <p>When there <em>is</em> a closure tag,
<a name="index-_003c_003e_0040r_007b_002c-closure-tag_007d-288"></a><a name="index-closure-tag_002c-_0040code_007b_003c_003e_007d-289"></a><code>sweep</code> connects <var>n</var>
successive copies of each point (including the original) with straight
line segments and finally connects the last copy back to the original
to form a polygon with <var>n</var> sides.  If there are m points in
the original point list, then m polygons with <var>n</var> sides
each are formed by the sweep.  In this manner, <code>sweep</code> forms a
set of two-dimensional objects (polygons) from zero-dimensional ones
(points).

   <p>Options
<a name="index-options_002c-sweep-290"></a>of the <code>sweep</code> are copied directly to the resulting
polyline(s).

   </body></html>

